export const debounce = function(fn, delay = 50){
  let timer = null;
  return (...args)=> {
      clearTimeout(timer);	//在此触发时，会清除上次的事件。
      timer = setTimeout(()=>{
          fn.apply(this,args);//fn调用参数
      },delay);
  };
}