//mock的使用
import Mock from 'mockjs'
import * as homesApi from './home'
import  userApi from './user'
import permissionApi from './permission'
//设置200-2000毫秒的配置
Mock.setup({
  timeout: '200-2000'
})

//首页相关
Mock.mock(/\/home\/getData/, 'get', homesApi.getHomeData())

// 用户页相关
Mock.mock(/\/user\/getUser/, 'get', userApi.getUserList)
Mock.mock(/\/user\/del/, 'get', userApi.deleteUser)
Mock.mock(/\/user\/batchremove/, 'get', userApi.batchremove)
Mock.mock(/\/user\/add/, 'post', userApi.createUser)
Mock.mock(/\/user\/edit/, 'post', userApi.updateUser)
Mock.mock(/\/home\/getData/, 'get', homesApi.getHomeData())
//Login页相关
Mock.mock(/\/permission\/getMenu/, 'post', permissionApi.getMenu)